MOUNT(8)

NAME
mount, umount - mount and dismount file system

SYNOPSIS
/etc/mount [ options ] [ special name [ fstype [ flags ] ] ]

/etc/mount -a

/etc/mount [ special name [ -r ] ]

/etc/umount name

/etc/umount -a

DESCRIPTION
Mount announces to the system that a removable file system of type fstype is present on the file special. The file name must exist already; it must be a directory (unless the root of the mounted file system is not a directory). It becomes the name of the newly mounted root. See fmount(2) for a list of file system types and appropriate flags. If fstype or flags is omitted, zero is assumed; file system type 0 is an ordinary disk file system.

The options are

-a  Mount all the files designated in see fstab(5). No other arguments are legal with -a.

-r  Read only; shorthand for fstype 0 and flag 1. A deprecated usage allows -r to follow name.

-l label
    The label, given in the form of atolab (see labtoa(3)), becomes the file system ceiling described in fmount(2).

Umount announces to the system that the file system mounted on file name is to be removed.

If the -a option is present for mount (umount), an attempt is made to mount (remove) each file system named in (

These commands maintain a table of mounted devices in If invoked without an argument, mount prints the table.

Physically write-protected and magnetic tape file systems must be mounted read-only or errors will occur when access times are updated, whether or not any explicit write is attempted.

EXAMPLES

/etc/mount /dev/ra02 /usr
    Mount the file system on disk on directory

/etc/mount /dev/null /proc 2
    Mount the process file system.

/etc/mount -l 'nu u ffff...' /dev/ra02 /usr
    File capabilities on exec(2) are limited to T_NOCHK and T_UAREA, with self-licensing only for T_UAREA; all lattice labels are accessible (ceiling is lattice top).

FILES

mount table

file system table

SEE ALSO
fmount(2), fstab(5), netfs(8)

BUGS
Mounting file systems full of garbage will crash the system.
Mounting a root directory on a non-directory makes some apparently good pathnames invalid.